:root {
    --board-width: 700px;
    --board-grids: 32;
    --board-color: #994;
    --board-color-hover: #aa5;
    --color1: #ccc;
    --color2: #555;
}

body {
    background-color: #444;
    color: #fff;
}

#main {
    position: absolute;
    right: 16px;
    bottom: 16px;
    width: var(--board-width);
    height: var(--board-width);
    background-color: var(--board-color);
}

.grid {
    position: absolute;
    border: 1px solid black;
    width: calc(var(--board-width) / var(--board-grids));
    height: calc(var(--board-width) / var(--board-grids));
}

.grid:hover {
    background-color: var(--board-color-hover);
}